Vai al contenuto principale
GET
/api/v1/characters

Endpoint sperimentale

Questo è un endpoint sperimentale e può essere soggetto a modifiche.

Postman Collection

Per ulteriori esempi, consulta questa Postman Collection.

Autorizzazioni

Authorization
string
header
obbligatorio

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parametri della query

categories
string[]

Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Esempio:
isAdult
enum<string>

Filter by adult content flag

Opzioni disponibili:
true,
false
Esempio:

"false"

isPro
enum<string>

Filter to only show characters using pro models

Opzioni disponibili:
true,
false
Esempio:

"false"

isWebEnabled
enum<string>

Filter to only show web-enabled characters

Opzioni disponibili:
true,
false
Esempio:

"true"

limit
integer
predefinito:50

Number of characters to return (max: 100)

Intervallo richiesto: 0 < x <= 100
Esempio:

50

modelId
string[]

Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 200
Esempio:
offset
integer | null
predefinito:0

Number of characters to skip for pagination

Intervallo richiesto: x >= 0
Esempio:

0

Search characters by name, description, or tags. Hashtag search is supported.

Maximum string length: 200
Esempio:

"assistant"

sortBy
enum<string>

Sort results using a supported character discovery mode

Opzioni disponibili:
featured,
highestRating,
highlyRated,
highlyRatedAndRecent,
imports,
mostRecent,
ratingCount
Esempio:

"imports"

sortOrder
enum<string>

Sort order applied to the selected sort mode. Defaults to descending when omitted.

Opzioni disponibili:
asc,
desc
Esempio:

"desc"

tags
string[]

Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Esempio:

Risposta

OK

data
object[]
obbligatorio
object
enum<string>
obbligatorio
Opzioni disponibili:
list